SDL_GPUStorageTextureReadWriteBinding Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUTexture * | texture
Uint32 | mip_level
Uint32 | layer
bool | cycle
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3

## Detailed Description

A structure specifying parameters related to binding textures in a compute pass.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_BeginGPUComputePass

Definition at line 2066 of file SDL_gpu.h.

## Field Documentation

## cycle

bool SDL_GPUStorageTextureReadWriteBinding::cycle

true cycles the texture if it is already bound.

Definition at line 2071 of file SDL_gpu.h.

## layer

Uint32 SDL_GPUStorageTextureReadWriteBinding::layer

The layer index to bind.

Definition at line 2070 of file SDL_gpu.h.

## mip_level

Uint32 SDL_GPUStorageTextureReadWriteBinding::mip_level

The mip level index to bind.

Definition at line 2069 of file SDL_gpu.h.

## padding1

Uint8 SDL_GPUStorageTextureReadWriteBinding::padding1

Definition at line 2072 of file SDL_gpu.h.

## padding2

Uint8 SDL_GPUStorageTextureReadWriteBinding::padding2

Definition at line 2073 of file SDL_gpu.h.

## padding3

Uint8 SDL_GPUStorageTextureReadWriteBinding::padding3

Definition at line 2074 of file SDL_gpu.h.

## texture

SDL_GPUTexture* SDL_GPUStorageTextureReadWriteBinding::texture

The texture to bind. Must have been created with SDL_GPU_TEXTUREUSAGE_COMPUTE_STORAGE_WRITE or SDL_GPU_TEXTUREUSAGE_COMPUTE_STORAGE_SIMULTANEOUS_READ_WRITE.

Definition at line 2068 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h